Generate DiffuseMapCube model from subset of sources in model file

08/24/2017 12:27 PM - Cardenzana Josh

Status: Closed Start date: 08/24/2017

Priority: Normal Due date:  

Assigned To: Cardenzana Josh % Done: 100%

Category:  Estimated time: 2.00 hours

Target version: 1.5.0   

Description

Currently the 'ctmapcube' method is able to generate a map cube from all of the sources in an input model XML file. A new tool

should be implemented to allow specifying a list of sources in the model file that are considered 'sources of interest'. This will

generate the map cube from all other (non-background) sources in the XML file, effectively fixing their relative spectral and spatial

properties in subsequent fits. Optionally, an updated XML file could be generated with the updated model information.

History

#1 - 08/29/2017 03:03 PM - Cardenzana Josh

- Status changed from New to Pull request

- % Done changed from 0 to 90

The csmodelsois tool has been implemented. It functions identically to ctmapcube (which is enforced by calling ctmapcube within the script) with two

differences:

1. An additional parameter 'soilist' (sources of interest list) is included to enable specifying sources that are to be excluded from the diffuse map

cube.

2. An additional parameter 'outmodel' can be specified to generate a model XML file. This file replaces all models in 'inmodel' that are used to

generate the map cube with a new model consisting of the generated map cube with a 'Constant' spectral function.

If both of the the above parameters are left empty, then the method functions identically to ctmapcube. I've also written some tests for the cscript.

Tests are similar to those of ctmapcube, but there's also a check on the generated model file that the models are filled appropriately in the output

model xml file.

Pull branch:

josh cardenzana / ctools: 2180-create_csmodelsois

#2 - 10/11/2017 08:10 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 1.5.0

- % Done changed from 90 to 100

Merged into devel
